This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 982038 - mc mostly stumble in determining mtime on FTP VFS (and isn't possible correct it)
mc mostly stumble in determining mtime on FTP VFS (and isn't possible correct...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
18
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 19:50 EDT by Frantisek Hanzlik
Modified: 2014-02-05 17:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:05:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Hanzlik 2013-07-07 19:50:32 EDT
Description of problem:
When copying files from (maybe to also, but it perhaps isn't so significant) remote FTP site, it seems as mc:

- not use FTP FEAT extensions as MDTM/MLST/MLSD, and
- files mtime is taken only from LIST result (which isn't anyhow standartized)

and sets mtime on local file to this /local/ time. This is almost always incorrect - remote FTP server often is located in different timezone. Moreover, it seems as majority of FTP servers as response to LIST command now sent file mtimes as GMT time.

Thus, for right local file mtime setting, 'mc' should behave better. This may be perhaps achieved by several ways, several what invades me:

- using MDTM/MLST/MLSD extensions. But this a) not have to be present at FTP server, and b) it can significantly decrease performance (by performing MDTM on each file in FTP server directory)

- mc 'hotlist' could have additional item/flag for FTP URL which will specify time offset between time reported by 'ls' command and GMT time.

- maybe one global setting (e.g. in VFS setting menu or as special setting in ini file) which will set one global time offset used for all FTP connection can help too.

Midnight Commander version: mc-4.8.7-3.fc18.i686
Comment 1 Fedora End Of Life 2013-12-21 09:16:27 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:05:00 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.